Set last-selected business

PUT /api/v1/users/me/last-business

Persist the authenticated user's last-selected business and optional firm ID.

Operation ID: set_last_business_api_v1_users_me_last_business_put · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Request body

business_id string required

Business UUID to persist as last-selected.

firm_id string

Firm UUID to persist alongside.

Responses

200 Successful Response

business_id string

Last-selected business UUID.

firm_id string

Last-selected firm UUID.

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object